# mudab
Meeres-Monitoringdaten von Küstenbundesländern und Forschungseinrichtungen


This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0
- Package version: 0.2.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python >= 3.6

## Installation & Usage
### pip install

```sh
pip install deutschland[mudab]
```

### poetry install

```sh
poetry add deutschland -E mudab
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

## Usage

Import the package:
```python
from deutschland import mudab
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import time
from deutschland import mudab
from pprint import pprint
from deutschland.mudab.api import default_api
from deutschland.mudab.model.filter_request import FilterRequest
from deutschland.mudab.model.list_mess_stationen200_response import ListMessStationen200Response
from deutschland.mudab.model.list_messwerte_plc200_response import ListMesswertePlc200Response
from deutschland.mudab.model.list_parameter200_response import ListParameter200Response
from deutschland.mudab.model.list_parameter_values200_response import ListParameterValues200Response
from deutschland.mudab.model.list_parameters_biologie200_response import ListParametersBiologie200Response
from deutschland.mudab.model.list_parameters_biota200_response import ListParametersBiota200Response
from deutschland.mudab.model.list_parameters_plc200_response import ListParametersPlc200Response
from deutschland.mudab.model.list_parameters_sediment200_response import ListParametersSediment200Response
from deutschland.mudab.model.list_parameters_wasser200_response import ListParametersWasser200Response
from deutschland.mudab.model.list_plc_stations200_response import ListPlcStations200Response
from deutschland.mudab.model.list_projekt_stationen200_response import ListProjektStationen200Response
# Defining the host is optional and defaults to https://geoportal.bafg.de/MUDABAnwendung/rest/BaseController/FilterElements
# See configuration.py for a list of all supported configuration parameters.
configuration = mudab.Configuration(
    host = "https://geoportal.bafg.de/MUDABAnwendung/rest/BaseController/FilterElements"
)



# Enter a context with an instance of the API client
with mudab.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = default_api.DefaultApi(api_client)
    filter_request = FilterRequest(
        filter=Filter(
            _or=FilterAction(
                col="col_example",
                op="op_example",
                value="value_example",
            ),
            _and=FilterAction(
                col="col_example",
                op="op_example",
                value="value_example",
            ),
        ),
        range=Range(
            _from=1,
            count=1,
        ),
        orderby=Orderby(
            col="col_example",
            dir="asc",
        ),
    ) # FilterRequest |  (optional)

    try:
        # Liste aller Messstationen
        api_response = api_instance.list_mess_stationen(filter_request=filter_request)
        pprint(api_response)
    except mudab.ApiException as e:
        print("Exception when calling DefaultApi->list_mess_stationen: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://geoportal.bafg.de/MUDABAnwendung/rest/BaseController/FilterElements*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**list_mess_stationen**](docs/DefaultApi.md#list_mess_stationen) | **POST** /STATION_SMALL | Liste aller Messstationen
*DefaultApi* | [**list_messwerte_plc**](docs/DefaultApi.md#list_messwerte_plc) | **POST** /V_MESSWERTE_PLC | Liste aller Messwerte der gefilterten PLC Stationen
*DefaultApi* | [**list_parameter**](docs/DefaultApi.md#list_parameter) | **POST** /MV_PARAMETER | Liste aller Parameter
*DefaultApi* | [**list_parameter_values**](docs/DefaultApi.md#list_parameter_values) | **POST** /MV_STATION_MSMNT | Liste aller Messwerte
*DefaultApi* | [**list_parameters_biologie**](docs/DefaultApi.md#list_parameters_biologie) | **POST** /MV_PARAMETER_BIOLOGIE | Liste aller Parameter im Biologie Kompartiment
*DefaultApi* | [**list_parameters_biota**](docs/DefaultApi.md#list_parameters_biota) | **POST** /MV_PARAMETER_BIOTA | Liste aller Parameter im Biota Kompartiment
*DefaultApi* | [**list_parameters_plc**](docs/DefaultApi.md#list_parameters_plc) | **POST** /V_GEMESSENE_PARA_PLC | Liste aller Parameter der PLC Stationen
*DefaultApi* | [**list_parameters_sediment**](docs/DefaultApi.md#list_parameters_sediment) | **POST** /MV_PARAMETER_SEDIMENT | Liste aller Parameter im Sediment Kompartiment
*DefaultApi* | [**list_parameters_wasser**](docs/DefaultApi.md#list_parameters_wasser) | **POST** /MV_PARAMETER_WASSER | Liste aller Parameter im Wasser Kompartiment
*DefaultApi* | [**list_plc_stations**](docs/DefaultApi.md#list_plc_stations) | **POST** /V_PLC_STATION | Liste aller HELCOM PLC Stationen
*DefaultApi* | [**list_projekt_stationen**](docs/DefaultApi.md#list_projekt_stationen) | **POST** /PROJECTSTATION_SMALL | Liste aller Projekt Stationen


## Documentation For Models

 - [Compartment](docs/Compartment.md)
 - [Filter](docs/Filter.md)
 - [FilterAction](docs/FilterAction.md)
 - [FilterRequest](docs/FilterRequest.md)
 - [HelcomPLCStation](docs/HelcomPLCStation.md)
 - [ListMessStationen200Response](docs/ListMessStationen200Response.md)
 - [ListMesswertePlc200Response](docs/ListMesswertePlc200Response.md)
 - [ListParameter200Response](docs/ListParameter200Response.md)
 - [ListParameterValues200Response](docs/ListParameterValues200Response.md)
 - [ListParametersBiologie200Response](docs/ListParametersBiologie200Response.md)
 - [ListParametersBiota200Response](docs/ListParametersBiota200Response.md)
 - [ListParametersPlc200Response](docs/ListParametersPlc200Response.md)
 - [ListParametersSediment200Response](docs/ListParametersSediment200Response.md)
 - [ListParametersWasser200Response](docs/ListParametersWasser200Response.md)
 - [ListPlcStations200Response](docs/ListPlcStations200Response.md)
 - [ListProjektStationen200Response](docs/ListProjektStationen200Response.md)
 - [Messstation](docs/Messstation.md)
 - [MesswertPLC](docs/MesswertPLC.md)
 - [Orderby](docs/Orderby.md)
 - [Parameter](docs/Parameter.md)
 - [ParameterPLC](docs/ParameterPLC.md)
 - [ParameterValue](docs/ParameterValue.md)
 - [ProjectStation](docs/ProjectStation.md)
 - [Range](docs/Range.md)


## Documentation For Authorization

 All endpoints do not require authorization.

## Author

kontakt@bund.dev


## Notes for Large OpenAPI documents
If the OpenAPI document is large, imports in mudab.apis and mudab.models may fail with a
RecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:

Solution 1:
Use specific imports for apis and models like:
- `from deutschland.mudab.api.default_api import DefaultApi`
- `from deutschland.mudab.model.pet import Pet`

Solution 2:
Before importing the package, adjust the maximum recursion limit as shown below:
```
import sys
sys.setrecursionlimit(1500)
from deutschland import mudab
from deutschland.mudab.apis import *
from deutschland.mudab.models import *
```

